diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentLog.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentLog.java
index d25b23c9f..fe82a2ace 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentLog.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentLog.java
@@ -1,6 +1,5 @@
 package net.minecraft.client.gui.hud.component;
 
-import net.minecraft.client.Minecraft;
 import net.minecraft.client.console.LogMessage;
 import net.minecraft.client.console.LogMessageReceiver;
 import net.minecraft.client.gui.Gui;
@@ -9,11 +8,12 @@ import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.gui.hud.component.layout.LayoutAbsolute;
 import net.minecraft.client.gui.hud.component.layout.LayoutSnap;
 import net.minecraft.client.render.font.FontRenderer;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.BlendFactor;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.core.net.command.TextFormatting;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
-import org.lwjgl.opengl.GL11;
 
 import java.util.ArrayList;
 import java.util.HashMap;
@@ -105,7 +105,7 @@ public class HudComponentLog extends HudComponentMovable {
                     this.logEntries.add(new LogEntry(line));
                 }
             });
-            callbackAdded = true;
+            this.callbackAdded = true;
         }
 
         int x = this.getLayout().getComponentX(this, xSizeScreen);
@@ -119,18 +119,18 @@ public class HudComponentLog extends HudComponentMovable {
             }
         }
 
-        final @NotNull String @NotNull[] messages = new String[this.logEntries.size()];
-        final float @NotNull[] opacities = new float[this.logEntries.size()];
+        final @NotNull String @NotNull [] messages = new String[this.logEntries.size()];
+        final float @NotNull [] opacities = new float[this.logEntries.size()];
         for (int i = 0; i < this.logEntries.size(); i++) {
             messages[i] = this.logEntries.get(i).message;
             opacities[i] = this.logEntries.get(i).getOpacity();
         }
 
         @Nullable ComponentAnchor anchor = null;
-        if (layout instanceof LayoutAbsolute) {
-            anchor = ((LayoutAbsolute) layout).getAnchor();
-        } else if (layout instanceof LayoutSnap) {
-            anchor = ((LayoutSnap) layout).getAnchor();
+        if (this.layout instanceof LayoutAbsolute layoutAbsolute) {
+            anchor = layoutAbsolute.getAnchor();
+        } else if (this.layout instanceof LayoutSnap layoutSnap) {
+            anchor = layoutSnap.getAnchor();
         }
 
         render(mc.font, x, y, messages, opacities, anchor);
@@ -141,7 +141,7 @@ public class HudComponentLog extends HudComponentMovable {
         int x = layout.getComponentX(this, xSizeScreen);
         int y = layout.getComponentY(this, ySizeScreen);
 
-        final @NotNull String @NotNull[] lines = {
+        final @NotNull String @NotNull [] lines = {
             this.preludes.get(LogMessage.Level.DEBUG) + "This is a debug line!",
             this.preludes.get(LogMessage.Level.INFO) + "This is an info line!",
             this.preludes.get(LogMessage.Level.WARN) + "This is a warning line!",
@@ -149,30 +149,30 @@ public class HudComponentLog extends HudComponentMovable {
         };
 
         @Nullable ComponentAnchor anchor = null;
-        if (layout instanceof LayoutAbsolute) {
-            anchor = ((LayoutAbsolute) layout).getAnchor();
-        } else if (layout instanceof LayoutSnap) {
-            anchor = ((LayoutSnap) layout).getAnchor();
+        if (layout instanceof LayoutAbsolute layoutAbsolute) {
+            anchor = layoutAbsolute.getAnchor();
+        } else if (layout instanceof LayoutSnap layoutSnap) {
+            anchor = layoutSnap.getAnchor();
         }
 
-        render(mc.font, x, y, lines, new float[] { 1.0f, 1.0f, 1.0f, 1.0f }, anchor);
+        render(mc.font, x, y, lines, new float[]{1.0f, 1.0f, 1.0f, 1.0f}, anchor);
     }
 
-    private void render(final @NotNull FontRenderer sr, final int x, final int y, final @NotNull String @NotNull[] lines, final float @NotNull[] opacities, final @Nullable ComponentAnchor anchor) {
-        GL11.glEnable(GL11.GL_BLEND);
-        GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
+    private void render(final @NotNull FontRenderer sr, final int x, final int y, final @NotNull String @NotNull [] lines, final float @NotNull [] opacities, final @Nullable ComponentAnchor anchor) {
+        GLRenderer.enableState(State.BLEND);
+        GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
         for (int i = 0; i < lines.length; i++) {
             @NotNull String line = lines[i];
 
             final int lineWidth = sr.stringWidth(line);
             if (anchor == null || anchor == ComponentAnchor.TOP_LEFT || anchor == ComponentAnchor.CENTER_LEFT || anchor == ComponentAnchor.BOTTOM_LEFT) {
-                sr.render(Tessellator.instance, line, x + PADDING, y + PADDING + i * LINE_HEIGHT).setShadow().setColor(0x00_FF_FF_FF + ((int)(opacities[i] * 0xFF) << 24)).call();
+                sr.render(line, x + PADDING, y + PADDING + i * LINE_HEIGHT).setShadow().setColor(0x00_FF_FF_FF + ((int) (opacities[i] * 0xFF) << 24)).call();
             } else if (anchor == ComponentAnchor.TOP_CENTER || anchor == ComponentAnchor.CENTER || anchor == ComponentAnchor.BOTTOM_CENTER) {
-                sr.render(Tessellator.instance, line, x + PADDING + WIDTH / 2 - lineWidth / 2, y + PADDING + i * LINE_HEIGHT).setShadow().setColor(0x00_FF_FF_FF + ((int)(opacities[i] * 0xFF) << 24)).call();
+                sr.render(line, x + PADDING + WIDTH / 2 - lineWidth / 2, y + PADDING + i * LINE_HEIGHT).setShadow().setColor(0x00_FF_FF_FF + ((int) (opacities[i] * 0xFF) << 24)).call();
             } else {
-                sr.render(Tessellator.instance, line, x + PADDING + WIDTH - lineWidth, y + PADDING + i * LINE_HEIGHT).setShadow().setColor(0x00_FF_FF_FF + ((int)(opacities[i] * 0xFF) << 24)).call();
+                sr.render(line, x + PADDING + WIDTH - lineWidth, y + PADDING + i * LINE_HEIGHT).setShadow().setColor(0x00_FF_FF_FF + ((int) (opacities[i] * 0xFF) << 24)).call();
             }
         }
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.disableState(State.BLEND);
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java
index 368d59643..88f4f4a44 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java
@@ -3,19 +3,22 @@ package net.minecraft.client.gui.hud.component;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.material.Materials;
-import org.lwjgl.opengl.GL11;
+
 
 public class HudComponentOxygenBar
     extends HudComponentMovable {
     private final IconCoordinate air;
     private final IconCoordinate air_pop;
+
     public HudComponentOxygenBar(String key, Layout layout) {
         super(key, 81, 10, layout);
-        air = TextureRegistry.getTexture("minecraft:gui/hud/air");
-        air_pop = TextureRegistry.getTexture("minecraft:gui/hud/air_pop");
+        this.air = TextureRegistry.getTexture("minecraft:gui/hud/air");
+        this.air_pop = TextureRegistry.getTexture("minecraft:gui/hud/air_pop");
     }
 
     @Override
@@ -29,20 +32,16 @@ public class HudComponentOxygenBar
         int y = this.getLayout().getComponentY(this, ySizeScreen);
 
         // Setup rendering
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.enableState(State.BLEND);
 
         int numBubbles = (int) Math.ceil(((double) (mc.thePlayer.airSupply - 2) * 10D) / 300D);
         int numPops = (int) Math.ceil(((double) mc.thePlayer.airSupply * 10D) / 300D) - numBubbles;
-        for (int i = 0; i < numBubbles + numPops; i++)
-        {
-            if (i < numBubbles)
-            {
-                hud.drawGuiIcon(x + i * 8, y, 9, 9, air);
-            }
-            else
-            {
-                hud.drawGuiIcon(x + i * 8, y, 9, 9, air_pop);
+        for (int i = 0; i < numBubbles + numPops; i++) {
+            if (i < numBubbles) {
+                hud.drawGuiIcon(x + i * 8, y, 9, 9, this.air);
+            } else {
+                hud.drawGuiIcon(x + i * 8, y, 9, 9, this.air_pop);
             }
         }
     }
@@ -53,20 +52,16 @@ public class HudComponentOxygenBar
         int y = layout.getComponentY(this, ySizeScreen);
 
         // Setup rendering
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.enableState(State.BLEND);
 
         int numBubbles = 5;
         int numPops = 6 - numBubbles;
-        for (int i = 0; i < numBubbles + numPops; i++)
-        {
-            if (i < numBubbles)
-            {
-                gui.drawGuiIcon(x + i * 8, y, 9, 9, air);
-            }
-            else
-            {
-                gui.drawGuiIcon(x + i * 8, y, 9, 9, air_pop);
+        for (int i = 0; i < numBubbles + numPops; i++) {
+            if (i < numBubbles) {
+                gui.drawGuiIcon(x + i * 8, y, 9, 9, this.air);
+            } else {
+                gui.drawGuiIcon(x + i * 8, y, 9, 9, this.air_pop);
             }
         }
     }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentRotationLock.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentRotationLock.java
index a34afcf59..764d3468e 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentRotationLock.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentRotationLock.java
@@ -1,13 +1,13 @@
 package net.minecraft.client.gui.hud.component;
 
-import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.Direction;
-import org.lwjgl.opengl.GL11;
 
 public class HudComponentRotationLock
     extends HudComponentMovable {
@@ -23,8 +23,8 @@ public class HudComponentRotationLock
     @Override
     public void render(HudIngame hud, int xSizeScreen, int ySizeScreen, float partialTick) {
         // Setup rendering
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.enableState(State.BLEND);
 
         int x = this.getLayout().getComponentX(this, xSizeScreen);
         int y = this.getLayout().getComponentY(this, ySizeScreen);
@@ -38,42 +38,29 @@ public class HudComponentRotationLock
 
         Direction dir = Direction.getDirection(player);
 
-        if (dir.isHorizontal())
-        {
+        if (dir.isHorizontal()) {
             dir = dir.rotate(-Direction.getHorizontalDirection(player.yRot).rotate(2).index);
 
-            if (facingUp)
-            {
+            if (facingUp) {
                 if (dir == Direction.SOUTH) dir = Direction.UP;
                 if (dir == Direction.NORTH) dir = Direction.DOWN;
             }
-            if (facingDown)
-            {
+            if (facingDown) {
                 if (dir == Direction.SOUTH) dir = Direction.DOWN;
                 if (dir == Direction.NORTH) dir = Direction.UP;
             }
-        }
-        else if (dir == Direction.UP)
-        {
+        } else if (dir == Direction.UP) {
             dir = Direction.DOWN;
-            if (facingUp)
-            {
+            if (facingUp) {
                 dir = Direction.SOUTH;
-            }
-            else if (facingDown)
-            {
+            } else if (facingDown) {
                 dir = Direction.NORTH;
             }
-        }
-        else if (dir == Direction.DOWN)
-        {
+        } else if (dir == Direction.DOWN) {
             dir = Direction.UP;
-            if (facingDown)
-            {
+            if (facingDown) {
                 dir = Direction.SOUTH;
-            }
-            else if (facingUp)
-            {
+            } else if (facingUp) {
                 dir = Direction.NORTH;
             }
         }
@@ -91,8 +78,8 @@ public class HudComponentRotationLock
         int y = layout.getComponentY(this, ySizeScreen);
 
         // Setup rendering
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.enableState(State.BLEND);
 
         String prefix = mc.gameSettings.rotationOverlayMode.value % 2 == 1 ? "arrow" : "cube";
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentSubtitles.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentSubtitles.java
index b9dbb41fd..04ff0a8bd 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentSubtitles.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentSubtitles.java
@@ -1,22 +1,17 @@
 package net.minecraft.client.gui.hud.component;
 
-import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
 import net.minecraft.client.gui.subtitles.SubtitleTracker;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.BlendFactor;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.sound.SoundRepository;
-import org.lwjgl.opengl.GL11;
 
 import java.util.ArrayList;
 import java.util.List;
 
-import static org.lwjgl.opengl.GL11.GL_ALPHA_TEST;
-import static org.lwjgl.opengl.GL11.GL_BLEND;
-import static org.lwjgl.opengl.GL11.GL_ONE_MINUS_SRC_ALPHA;
-import static org.lwjgl.opengl.GL11.GL_SRC_ALPHA;
-
 public class HudComponentSubtitles extends HudComponentMovable {
     public HudComponentSubtitles(String key, int xSize, int ySize, Layout layout) {
         super(key, xSize, ySize, layout);
@@ -71,9 +66,9 @@ public class HudComponentSubtitles extends HudComponentMovable {
         }
         maxMessageWidth += mc.font.stringWidth("<") + mc.font.stringWidth(">");
 
-        GL11.glEnable(GL_BLEND);
-        GL11.glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
-        GL11.glDisable(GL_ALPHA_TEST);
+        GLRenderer.enableState(State.BLEND);
+        GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
+//        GL11.glDisable(GL_ALPHA_TEST);
         for (int i = 0; i < subtitleEntries.size() && i < messagesToShow; i++)
         {
             SubtitleTracker.SubtitleEntry entry = subtitleEntries.get(i);
@@ -105,20 +100,20 @@ public class HudComponentSubtitles extends HudComponentMovable {
                 final String subtitle = entry.soundEvent.getSubtitleTranslated();
                 if (subtitle != null) {
                     gui.drawRect(xRight - maxMessageWidth - xPad * 2, yBottom + y2 - 1, xRight, yBottom + y2 + 8, alpha / 2 << 24);
-                    GL11.glEnable(GL_BLEND);
-                    mc.font.renderCentered(Tessellator.instance, subtitle, xRight - (maxMessageWidth) / 2 - xPad, yBottom + y2).setShadow().setColor(0xFFFFFF + (alpha << 24)).call();
+                    GLRenderer.enableState(State.BLEND);
+                    mc.font.renderCentered(subtitle, xRight - (maxMessageWidth) / 2 - xPad, yBottom + y2).setShadow().setColor(0xFFFFFF + (alpha << 24)).call();
                     if (mc.thePlayer != null) {
                         final double sin = Math.sin(entry.getRelativeAngle(mc.thePlayer) + Math.PI/2);
                         if (sin > 0.7) {
-                            mc.font.render(Tessellator.instance, "<", xRight - maxMessageWidth - xPad, yBottom + y2).setColor(0xFFFFFF + (alpha << 24)).call();
+                            mc.font.render("<", xRight - maxMessageWidth - xPad, yBottom + y2).setColor(0xFFFFFF + (alpha << 24)).call();
                         } else if (sin < -0.7) {
-                            mc.font.render(Tessellator.instance, ">", xRight - mc.font.stringWidth(">") - xPad/2, yBottom + y2).setColor(0xFFFFFF + (alpha << 24)).call();
+                            mc.font.render(">", xRight - mc.font.stringWidth(">") - xPad/2, yBottom + y2).setColor(0xFFFFFF + (alpha << 24)).call();
                         }
                     }
                 }
             }
         }
-        GL11.glEnable(GL_ALPHA_TEST);
-        GL11.glDisable(GL_BLEND);
+//        GL11.glEnable(GL_ALPHA_TEST);
+        GLRenderer.disableState(State.BLEND);
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentVehicleHealthBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentVehicleHealthBar.java
index 61d7b9701..1d9fb6105 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentVehicleHealthBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentVehicleHealthBar.java
@@ -3,6 +3,8 @@ package net.minecraft.client.gui.hud.component;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.util.helper.MathHelper;
@@ -30,53 +32,45 @@ public class HudComponentVehicleHealthBar
             int y = this.getLayout().getComponentY(this, ySizeScreen);
 
             // Setup rendering
-            GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-            GL11.glDisable(GL11.GL_BLEND);
+            GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+            GLRenderer.enableState(State.BLEND);
 
             boolean heartsFlash = (mobVehicle.heartsFlashTime / 3) % 2 == 1;
-            if (mobVehicle.heartsFlashTime < 10)
-            {
+            if (mobVehicle.heartsFlashTime < 10) {
                 heartsFlash = false;
             }
             int health = mobVehicle.getHealth();
             int prevHealth = mobVehicle.prevHealth;
-            random.setSeed(hud.updateCounter * 0x4c627L);
+            this.random.setSeed(hud.updateCounter * 0x4c627L);
 
-            int hearts = MathHelper.ceil(mobVehicle.getMaxHealth()/2f);
+            int hearts = MathHelper.ceil(mobVehicle.getMaxHealth() / 2f);
             for (int i = 0; i < hearts; i++) {
                 int heartOffset = 0;
-                if (heartsFlash)
-                {
+                if (heartsFlash) {
                     heartOffset = 1;
                 }
                 int xHeart = (x + 9 * 8) - i * 8;
                 int yHeart = y;
-                if (health <= 4)
-                {
-                    yHeart += random.nextInt(2);
+                if (health <= 4) {
+                    yHeart += this.random.nextInt(2);
                 }
 
                 hud.drawGuiIcon(xHeart, yHeart, 9, 9, heartOffset == 0 ? TextureRegistry.getTexture("minecraft:gui/hud/heart/pig/container") : TextureRegistry.getTexture("minecraft:gui/hud/heart/pig/container_blinking"));
-                if (heartsFlash)
-                {
-                    if (i * 2 + 1 < prevHealth)
-                    {
+                if (heartsFlash) {
+                    if (i * 2 + 1 < prevHealth) {
                         // Half flash heart icon
                         hud.drawGuiIcon(xHeart, yHeart, 9, 9, TextureRegistry.getTexture("minecraft:gui/hud/heart/pig/full_blinking"));
                     }
-                    if (i * 2 + 1 == prevHealth)
-                    {
+                    if (i * 2 + 1 == prevHealth) {
                         // Full flash heart icon
                         hud.drawGuiIcon(xHeart, yHeart, 9, 9, TextureRegistry.getTexture("minecraft:gui/hud/heart/pig/half_blinking"));
                     }
                 }
-                if (i * 2 + 1 < health)
-                {
+                if (i * 2 + 1 < health) {
                     // Full heart icon
                     hud.drawGuiIcon(xHeart, yHeart, 9, 9, TextureRegistry.getTexture("minecraft:gui/hud/heart/pig/full"));
                 }
-                if (i * 2 + 1 == health)
-                {
+                if (i * 2 + 1 == health) {
                     // Half heart icon
                     hud.drawGuiIcon(xHeart, yHeart, 9, 9, TextureRegistry.getTexture("minecraft:gui/hud/heart/pig/half"));
                 }
@@ -90,20 +84,18 @@ public class HudComponentVehicleHealthBar
         int y = layout.getComponentY(this, ySizeScreen);
 
         // Setup rendering
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.enableState(State.BLEND);
 
         int health = 11;
         for (int i = 0; i < 10; i++) {
             int xHeart = (x + 9 * 8) - i * 8;
             gui.drawGuiIcon(xHeart, y, 9, 9, TextureRegistry.getTexture("minecraft:gui/hud/heart/pig/container"));
-            if (i * 2 + 1 < health)
-            {
+            if (i * 2 + 1 < health) {
                 // Full heart icon
                 gui.drawGuiIcon(xHeart, y, 9, 9, TextureRegistry.getTexture("minecraft:gui/hud/heart/pig/full"));
             }
-            if (i * 2 + 1 == health)
-            {
+            if (i * 2 + 1 == health) {
                 // Half heart icon
                 gui.drawGuiIcon(xHeart, y, 9, 9, TextureRegistry.getTexture("minecraft:gui/hud/heart/pig/half"));
             }
